Automic Workload Automation

Expand all | Collapse all

AWI Installation Vaadin Fehlermeldung

  • 1.  AWI Installation Vaadin Fehlermeldung

    Posted 04-17-2019 04:44 AM

    Hallo,

     

    ich habe das aktuelle AWI (12_2_2+hf.1) in Tomcat 8.5.39 auf einem Windows Server 2012R2 deployed.

    Nun erhalte ich beim Aufruf der Website folgende Fehlermeldung:

    "Failed to load the bootstrap JavaScript: ./VAADIN/vaadinBootstrap.js?v=7.7.9"

    Leider konnte mir Dr. Google für dieses Problem keine Lösung liefern.

    War schon jemand mit einem ähnlichen Problem konfrontiert und kann mir einen Tipp geben?



  • 2.  Re: AWI Installation Vaadin Fehlermeldung

    Posted 04-18-2019 08:46 AM

    Hallo Thomas,

    ich glaube ich hatte das Problem auch schon mal, wenn ich mich richtig erinnere lags an dem war File der AWI, das war in der Auslieferung kaputt. Kannst du mal checken ob das WAR file o.k. ist.

    vielen Dank

    Christian



  • 3.  Re: AWI Installation Vaadin Fehlermeldung

    Posted 04-18-2019 09:37 AM

    Hallo Thomas,

    zum 8.5.39'er Tomcat habe ich gerade noch folgendes gesehen.

     

    AWI Doesn't work with Tomcat 8.5.39 - CA Knowledge 

     

    Vielen Dank

    Christian



  • 4.  Re: AWI Installation Vaadin Fehlermeldung

    Posted 04-23-2019 11:14 AM

    Hallo Thomas,

    ich hatte auch schon einmal versucht, AWI 12.1 auf einer 8.5er Version (8.5.6 unter Linux) zu deployen, und ich hatte nur Schwierigkeiten.

    Das Ende vom Lied war, dass ich die mit der Engine mitgelieferte Version des Tomcats (Tomcat 7.0.81 bei Automic Engine 12.1) benutzt habe - auch, wenn das nicht gerade unsere Standardversion für Tomcat ist.

    Die bei der AutomationEngine mitgelieferte Version des Tomcat ist vermutlich die einzig getestete.

    Viele Grüße, Nicole



  • 5.  RE: Re: AWI Installation Vaadin Fehlermeldung

    Posted 07-25-2019 05:02 PM
    Hallo Nicole

    Habe die Tomcat Version 7.0.76 unter Linux installiert und das awi.war schon mehrere male ausgetauscht, jedoch funktioniert es leider immer noch nicht. Hat es bei dir mit der Tomcat Version 7.0.81 gefunzt?

    Beste Grüsse
    Florim


  • 6.  RE: Re: AWI Installation Vaadin Fehlermeldung

    Posted 07-26-2019 02:32 AM
    Hi, 

    also ich verwende auch bis zur 12.2.* die mit ausgelieferte 7.0.81 und hatte damit keine Probleme. 
    Die 12.3.* läuft jetzt unter 9.0.19 ebenfalls mit ausgeliefert und bis jetzt ohne Probleme.

    Welche Fehler hast Du denn ?

    ------------------------------
    Thx & rgds
    Christian
    ------------------------------



  • 7.  RE: Re: AWI Installation Vaadin Fehlermeldung

    Posted 07-26-2019 02:35 AM
    Hi Christian

    Ja sobald ich die URL des AWI aufrufen möchte (egal mit welchem Browser) erhalte ich die Fehlermeldung: Failed to load the bootstrap javascript: ./VAADIN/vaadinBootstrap.js?v=7.7.9.
    Habe momentandie Tomcat Version 7.0.76 installiert, versuche jedoch jetzt die 7.0.81 Version zu installieren und hoffe es klappt :)



  • 8.  RE: Re: AWI Installation Vaadin Fehlermeldung

    Posted 07-26-2019 04:27 AM
    Hallo Christian

    Da wir RHEL Repos beziehen und diese leider nicht immer up-to-date sind, hab ich mich entschlossen die tomcat8(8.5.43.0) Version zu installieren. Siehe da, es der Aufruf des AWI's funktioniert nun! Dachte diese Version funktioniert mit AE 12.2.2 nicht, jedoch scheint dies nun zu funzen.

    Beste Grüsse
    Florim